Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.client
Interface LocalizableResource

All Superinterfaces:
  Localizable

All Known Subinterfaces:
  Constants, ConstantsWithLookup, Messages

    public interface LocalizableResource

extends Localizable

This is the common superinterface to Messages and Constants. Each (and the Constants subinterface ConstantsWithLookup) provide compile-time localization of various forms of data. Messages is used for `MessageFormat`-style strings which can have parameters (including support for plural forms), while Constants can be other types, have simplified quoting requirements, and do not take any parameters. The annotations defined here are common to both -- see the individual subinterfaces for additional annotations which apply only to each one.

Nested Class Summary
`static interface` | `LocalizableResource.DefaultLocale` Specifies the default locale for messages in this file.
`static interface` | `LocalizableResource.Description` Specifies a description of the string to be translated, such as a note about the context.
`static interface` | `LocalizableResource.Generate` Requests that a translation source file be generated from the annotated interface.
`static interface` | `LocalizableResource.GeneratedFrom` Annotation indicating this is a generated file and the source file it was generated from.
`static interface` | `LocalizableResource.GenerateKeys` Requests that the keys for messages be generated automatically.
`static interface` | `LocalizableResource.Key` The key used for lookup of translated strings.
`static interface` | `LocalizableResource.Meaning` Specifies the meaning of the translated string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD